Skip to main content
GET
List applications for a candidate

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Path Parameters

candidateid
integer
required

Candidate ID

Query Parameters

step_name
string

Filter applications by the name of their current step. Valid step names can be found in the process field of the job details.

step_status
enum<string>

Filter applications by their current step status.

Available options:
START,
CURRENT,
END
step
integer

Filter applications by the id of their current step. Valid step ids can be found in the process field of the job details.

last_step_since
string<date>

Filter applications whose last step change occurred on or after this date (inclusive). ISO 8601 format: YYYY-MM-DD. Compared with the date the application entered its current step.

last_step_until
string<date>

Filter applications whose last step change occurred on or before this date (inclusive). ISO 8601 format: YYYY-MM-DD. Compared with the date the application entered its current step.

job_title
string

Filter applications by the job title.

job_status
enum<string>

Filter applications by the job status.

Available options:
ARCHIVED,
CLOSED,
DRAFT,
OPEN,
PENDING_VALIDATION,
REJECTED,
VALIDATED

Response

Paginated list of applications

_self
string<uri-reference>
_schema
string<uri-reference>
_status
enum<string>
Available options:
OK
_next
string<uri-reference>

Next page; empty string on the last page.

items
object[]